Gatana logoGatana Docs
RoutesUsers

/users

Invite a new user by email, or create a service account

POST
/users
AuthorizationBearer <token>

In: header

Request Body

application/json

email*string

Email address of the new user

name*string

Display name of the new user

role*string

Role of the user in the tenant: member or owner

Value in"member" | "owner"
isServiceAccount*boolean

Whether to create a service account instead of a regular user

Response Body

application/json

curl -X POST "https://YOUR_ORG_ID.gatana.ai/api/v1/users" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "name": "string",    "role": "member",    "isServiceAccount": true  }'
{
  "user": {
    "id": "string",
    "tenantId": "string",
    "name": "string",
    "email": "[email protected]",
    "role": "member",
    "isSuperAdministrator": true,
    "isDisabled": true,
    "isServiceAccount": true,
    "isInvited": true,
    "profileIds": [
      {
        "tenantId": "string",
        "userId": "string",
        "profileId": "string",
        "isLockedByOrgOwner": true,
        "createdAt": "string",
        "updatedAt": "string"
      }
    ],
    "isScimManaged": true,
    "scimExternalId": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
}